<?php
  
IF (GET('inv') == 'go'){
  
  IF ($comm['PRIVATE'] == 1 && $par['ADMINISTRATION'] == 0){
    
    ERROR('Приглашать участников могут только создатели, администраторы и модераторы');
    REDIRECT('/modules/?path=communities&section=show&id='.$comm['ID'].'&get=inv');
    
  }
  
  IF (POST('ok')){
    
    DB_FILTER();
    
    $err_data = 0;
    
    $id = INTVAL(POST('id'));
    
    IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `USERS` WHERE `ID` = '".$id."' LIMIT 1") == 0){
      
      ERROR('Такого пользователя не существует', 'session');
      $err_data = 1;
    
    }
    
    IF ($user['ID'] == $id){
      
      ERROR('Вы не можете пригласить самого себя', 'session');
      $err_data = 1;
    
    }
    
    IF (DB::GET_COLUMN("SELECT COUNT(*) FROM `COMMUNITIES_PAR` WHERE `COMMUNITY_ID` = '".$comm['ID']."' AND `USER_ID` = '".$id."' LIMIT 1") == 1){
      
      ERROR('Данный пользователь уже приглашен или состоит в сообществе', 'session');
      $err_data = 1;
    
    }
    
    IF ($err_data == 1){
      
      REDIRECT('/modules/?path=communities&section=show&id='.$comm['ID'].'&get=inv&inv=go');
    
    }
    
    DB::GET_ADD("INSERT INTO `COMMUNITIES_PAR` (`USER_ID`, `COMMUNITY_ID`, `ACT`) VALUES ('".$id."', '".$comm['ID']."', '2')");
    
    $message = "Пользователь [b]".$user['LOGIN']."[/b] приглашает Вас в сообщество [b]".ADSL($comm['NAME'])."[/b].
    
    [a href=/modules/?path=communities&section=users&id=".$id."&get=inv]Перейти к приглашениям >>>[/a]";
    
    DB::GET_ADD("INSERT INTO `MAIL_MESSAGE` (`USER_ID`, `MY_ID`, `TIME`, `MESSAGE`, `USER`) VALUES ('".CONFIG('SYSTEM')."', '".$id."', '".TIME()."', '".$message."', '".CONFIG('SYSTEM')."'),('".$id."', '".CONFIG('SYSTEM')."', '".TIME()."', '".$message."', '".$id."')");
    
    SUCCESS('Пользователь успешно приглашен', 'session');
    REDIRECT('/modules/?path=communities&section=show&id='.$comm['ID'].'&get=inv');
    
  }
  
  ECHO "<div class='list'>";
    
  ECHO "<form method='post' class='form' action='/modules/?path=communities&section=show&id=".$comm['ID']."&get=inv&inv=go'>";
  
  ECHO "<b>".LG('Введите ID пользователя')."</b>:<br />";
  HTML::INPUT('id', 'ID', NULL, NULL, NULL, 'form-control-30');
  
  HTML::BUTTON('btn-big ajax-button', 'ok', 'plus', 'Пригласить');
  
  ECHO "</form>";
  
  ECHO "</div>";
  
  ECHO "<div class='list'>";
  ECHO "<a href='/modules/?path=communities&section=show&id=".$comm['ID']."&get=inv'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
  ECHO "</div>";
  
  //Навигация
  ECHO "<div class='navigation'>";
  ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "<a href='/modules/?path=communities'>".LG('Сообщества')."</a>";
  ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
  ECHO "".TEXT_ABSOLUTE($comm['NAME'])."";
  ECHO "</div>";
  
  REQUIRE (ROOT.'/system/connections/footer.php');
  EXIT;
  
}
  
ECHO "<div class='list'>";
ECHO "<center><b>".LG('Пользователи, приглашенные в сообщество')."</b></center>";
ECHO "</div>";

ECHO "<div class='list'>";
ECHO "<a class='btn' href='/modules/?path=communities&section=show&id=".$comm['ID']."&get=inv&inv=go'>".ICONS('plus', 15, 'fa-fw')." ".LG('Пригласить')."</a>";
ECHO "</div>";

$column = DB::GET_COLUMN("SELECT COUNT(`ID`) FROM `COMMUNITIES_PAR` WHERE `COMMUNITY_ID` = '".$comm['ID']."' AND `ACT` = '2'");
$spage = SPAGE($column, $page_settings);
$page = PAGE($spage);
$limit = $page_settings * $page - $page_settings;

IF ($column == 0){
  
  HTML::EMPTY();
  
}ELSE{
  
  ECHO "<div class='list-body'>";
  
}

$data = DB::GET_STRING_ALL("SELECT * FROM `COMMUNITIES_PAR` WHERE `COMMUNITY_ID` = '".$comm['ID']."' AND `ACT` = '2' ORDER BY `ID` DESC LIMIT ".$limit.", ".$page_settings."");

WHILE ($list = $data->FETCH()){
  
  ECHO "<div class='list-menu'>";
  
  USER::LOGIN($list['USER_ID'], 1, 1);
  
  ECHO "</div>";
  
}

IF ($column > 0){
  
  ECHO "</div>";
  
}

IF ($spage > 1){ ECHO STR_PAGE('/modules/?path=communities&section=show&id='.$comm['ID'].'&get=inv&', $spage, $page); }

ECHO "<div class='list'>";
ECHO "<a href='/modules/?path=communities&section=show&id=".$comm['ID']."'>".ICONS('arrow-left', 15, 'fa-fw')." ".LG('Назад')."</a>";
ECHO "</div>";

//Навигация
ECHO "<div class='navigation'>";
ECHO "<a href='/'>".ICONS('home', 25, 'fa-fw')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "<a href='/modules/?path=communities'>".LG('Сообщества')."</a>";
ECHO "".ICONS('angle-right', 20, 'fa-fw')."";
ECHO "".TEXT_ABSOLUTE($comm['NAME'])."";
ECHO "</div>";

REQUIRE (ROOT.'/system/connections/footer.php');
EXIT;

?>